## knighttime 0.0.0+p24.04+vstable+git20250921.0612

=== debian/changelog ===
knighttime (0.0.0+p24.04+vstable+git20250921.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:12:20 +0000

knighttime (0.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 24 Jun 2025 09:47:02 +1000
