## knighttime 0.0.0+p24.04+vstable+git20251004.0531

=== debian/changelog ===
knighttime (0.0.0+p24.04+vstable+git20251004.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:31:39 +0000
