## knighttime 0.0.0+p24.04+vstable+git20251019.0613

=== debian/changelog ===
knighttime (0.0.0+p24.04+vstable+git20251019.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:13:05 +0000
