=== debian/changelog ===
knighttime (0.0.0+p24.04+vunstable+git20251021.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:55:45 +0000
