=== debian/changelog ===
knighttime (6.4.91-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Oct 2025 11:30:02 +0200

knighttime (6.4.91-1) experimental; urgency=medium

  * Initial release. (Closes: #1117542)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Oct 2025 23:13:12 +0200
