=== debian/control ===
Source: knighttime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-positioning-dev (>= 6.9.0~),
               qt6-base-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/knighttime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knighttime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knighttime.git

Package: knighttime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: helpers for scheduling the dark-light cycle for the Plasma desktop
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.

Package: knighttime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libknighttime0 (= ${binary:Version}),
         ${misc:Depends},
Description: dark-light cycle scheduling helpers for Plasma - development files
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.
 .
 This package contains the development files for the libknighttime shared
 library.

Package: libknighttime0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dark-light cycle scheduling helpers for Plasma - shared library
 The KNightTime provides helpers for scheduling the dark-light cycle. It can be
 used to implement features such as adjusting the screen color temperature
 based on time of day, etc. Features
 .
 The KNightTime offers a system service that provides the schedule and a client
 library to subscribe to the updates from the daemon.
 .
 This package contains the shared library.
