=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libkf6i18n-dev (>= 6.18.0~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-private-dev,
                qt6-positioning-dev (>= 6.9.0~),
-               qt6-base-private-dev,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/knighttime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knighttime
@@ -40,6 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libknighttime0 (= ${binary:Version}),
+         qt6-base-dev (>= 6.9.0~),
          ${misc:Depends},
 Description: dark-light cycle scheduling helpers for Plasma - development files
  The KNightTime provides helpers for scheduling the dark-light cycle. It can be
