## knighttime 6.5.0+p24.04+vstable+git20251028.1257

=== debian/changelog ===
knighttime (6.5.0+p24.04+vstable+git20251028.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:57:09 +0000

knighttime (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:42:27 +0000
