=== debian/control ===
Source: knighttime
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-positioning-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/knighttime
Vcs-Git: https://invent.kde.org/neon/neon-packaging/knighttime.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/knighttime
Maintainer: Neon CI <neon@kde.org>

Package: knighttime
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library that provides helpers for scheduling the dark-light cycle
 It can be used to implement features such as adjusting the screen color
 temperature based on time of day, etc.
 .
 This package contains the required files for knighttime.

Package: knighttime-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: knighttime, qt6-base-dev, ${misc:Depends}
Description: Development files for knighttime
 Library that provides helpers for scheduling the dark-light cycle.
 .
 This package contains development files for knighttime.
