## knighttime 6.5.0+p24.04+vunstable+git20251021.0814

=== debian/changelog ===
knighttime (6.5.0+p24.04+vunstable+git20251021.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:14:41 +0000
