=== debian/changelog ===
knighttime (6.5.1+p24.04+vstable+git20251029.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:09:30 +0000

knighttime (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:12:00 +0000
