## knighttime 6.5.3+p24.04+vstable+git20251209.0239

=== debian/changelog ===
knighttime (6.5.3+p24.04+vstable+git20251209.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:39:52 +0000

knighttime (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:11:51 +1000

knighttime (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:24 +1000
