## knighttime 6.5.3+p24.04+vunstable+git20251122.2317

=== debian/changelog ===
knighttime (6.5.3+p24.04+vunstable+git20251122.2317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:17:50 +0000
