## knighttime 6.5.5+p24.04+vstable+git20260122.0437

=== debian/changelog ===
knighttime (6.5.5+p24.04+vstable+git20260122.0437-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:37:15 +0000

knighttime (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:35 +1000

knighttime (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:06 +1000
