## knighttime 6.5.5+p24.04+vunstable+git20260124.0041

=== debian/changelog ===
knighttime (6.5.5+p24.04+vunstable+git20260124.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:42:00 +0000
