=== debian/changelog ===
knighttime (6.5.5+p24.04+vunstable+git20260126.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:59:53 +0000
