=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6holidays-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6holidays-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
                qt6-base-private-dev,
-               qt6-positioning-dev (>= 6.9.0~),
+               qt6-positioning-dev (>= 6.10.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/knighttime
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knighttime
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libknighttime0 (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
+         qt6-base-dev (>= 6.10.0~),
          ${misc:Depends},
 Description: dark-light cycle scheduling helpers for Plasma - development files
  The KNightTime provides helpers for scheduling the dark-light cycle. It can be
